<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://schemas.datacontract.org/2004/07/System" />
  <xs:complexType name="UnexpectedErrorFault">
    <xs:complexContent mixed="false">
      <xs:extension base="tns:BaseFault">
        <xs:sequence />
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element name="UnexpectedErrorFault" nillable="true" type="tns:UnexpectedErrorFault" />
  <xs:complexType name="BaseFault">
    <xs:sequence>
      <xs:element minOccurs="0" name="ErrorMessage" nillable="true" type="xs:string" />
      <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/System" minOccurs="0" name="InnerException" nillable="true" type="q1:Exception" />
      <xs:element minOccurs="0" name="IsRecoverable" type="xs:boolean" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="BaseFault" nillable="true" type="tns:BaseFault" />
  <xs:complexType name="DataTableDoesNotExistFault">
    <xs:complexContent mixed="false">
      <xs:extension base="tns:BaseFault">
        <xs:sequence />
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element name="DataTableDoesNotExistFault" nillable="true" type="tns:DataTableDoesNotExistFault" />
  <xs:complexType name="ObjectDoesNotExistFault">
    <xs:complexContent mixed="false">
      <xs:extension base="tns:BaseFault">
        <xs:sequence />
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element name="ObjectDoesNotExistFault" nillable="true" type="tns:ObjectDoesNotExistFault" />
</xs:schema>